#include <iostream>
#include <conio.h>
#include <vector>
#include <stdlib.h>
#include <string>
#include "histogram.h"
#include "text.h"
#include "svg.h"
using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
    vector<string> stroke;
    vector<string> fill;
};

Input
input_data(){

    size_t number_count;
    cerr << "Enter number count: ";
    cin >> number_count;

    Input in;

    in.numbers.resize(number_count);
    cerr << "Enter numbers: " << endl;
    for (size_t i=0; i < number_count; i++)
    {
        cin >> in.numbers[i];
    }

    cerr << "Enter bin count: ";
    cin >> in.bin_count;

    in.stroke.resize(in.bin_count);
    in.fill.resize(in.bin_count);
    for (size_t i=0;i<in.bin_count;i++){
        cerr <<"Enter stroke in format RGB:";
        cin >>in.stroke[i];
         cerr <<"Enter fill in format RGB:";
        cin >>in.fill[i];
    }

    return in;
}


int main()
{

    auto in = input_data();
    std::vector<size_t> bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins,in.stroke,in.fill);
    return 0;
}

